ALC(4) | Device Drivers Manual | ALC(4)

# NAME

alc — Atheros AR813x/AR815x/AR816x/AR817x Ethernet device

# SYNOPSIS

alc* at pci?
atphy* at mii?

# DESCRIPTION

The alc driver provides support for Ethernet interfaces based on the Atheros AR813x/AR815x/AR816x/AR817x Gigabit/Fast Ethernet chipsets.
The following media types are supported:

autoselect
  Enable autoselection of the media type and options.
10baseT
  Set 10Mbps operation.
100baseTX
  Set 100Mbps (Fast Ethernet) operation.
1000baseT
  Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8).

# SEE ALSO

arp(4), atphy(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

# HISTORY

The alc device driver was written by Pyun YongHyeon and first appeared in FreeBSD 8.0. It was ported to OpenBSD 4.7 by Kevin Lo and then ported to NetBSD 6.0 by Fire Crow. Leonardo Taccari ported the AR816x/AR817x support for alc from FreeBSD 11.0.

January 18, 2015 | NetBSD 8.0